نصب افزونه های تست نشده بر ورژن وردپرس و عواقب آن

یکی از مسائلی که خیلی از کاربران درباره ی اون سوال میپرسن،مواجه شدن با خطای نصب افزونه هاست.یکی از این خطاها مربوط میشه به ورژن وردپرس شما و خطایی که درباره ی عدم مطابقت افزونه با نسخه فعلی وردپرس آشکار میشه.در این موارد اغلب پرسیده میشه که آیا افزونه رو نصب کنیم یا نه!…و ایا نصب افزونه مشکلی رو ایجاد نمی کنه.؟!

در این مقاله به صورت مختصر به این خطا میپردازیم و در پایان متوجه خواهید شد که در این مواقع باید چه عکس العملی داشته باشید.با ما همراه باشید.

گاها وقتی یک افزونه وردپرس رو نصب می کنید با خطای عدم مطابقت ورژن ها مواجه میشید.خطایی که در نسخه انگلیسی به این شکل نمایش داده میشه:

1

چگونه وردپرس این خطا را ردیابی می کند؟

وردپرس به صورت منبع باز هرگونه پلاگین رو می پذیره.نویسندگان افزونه های وردپرس،ملزم هستن که حین طراحی افزونه ها،یک فایل رو با عنوان معروف read me ،در فایل افزونه قرار بدن.این فایل بعد ها توسط دایرکتوری پلاگین برای ساخت پیج افزونه در وردپرس شما به کار برده می شه.داخل فایل read me، یک برچسب با عنوان tested up to وجود داره که برای نمایش اطلاعات استفاده می شه.نویسندگان افزونه های طبق این تگ،موظف هستن که افزونه ها رو به روز نگه دارن و پیوسته اپدیت کنن.

این به این معناست که با هربار نتشار نسخه جدید وردپرس،نویسندگان افزونه ها ملزم هستن که فایل read me افزونه هارو به روز رسانی و با نسخه جدید وردپرس تطبیق بدن.این که وردپرس بعد از نصب یک افزونه این خطا رو نشون میده به علت عدم به روز رسانی افزونه و تطابق اون با ورژن جدید وردپرس توسط نویسنده افزونست.

چرا نویسندگان افزونه ها،فایل read me را آپدیت نمی کنند؟

نکته ی جالب توجه در این زمینه اینه که نویسندگان افزونه ها با وجود این خطا ها،هرگز فایل read me رو به روز نمی کنن.حتی وقتی در حال ارتقا نسخه ی افزونه و افزودن امکانات جدید به اون باشن.البته این کار اونا هیچ علت منطقی ای نداره و زمینه ی فنی پشت این کار نیست!

تنها توجیهی که می تونیم داشته باشیم اینه که اغلب کاربران از افزونه های رایگان استفاده می کنن.لذانویسندگان افزونه ها ترجیح می ده که وقتشون هدر ندن و با توجه به رایگان بودن این افزونه ها،حس مسئولیتی در قبال آپدیت این فایل ندارن.لذا این مشکل برای کاربران پیش میاد و با خطای عدم مطابقت ورژن رو به رو میشن.

آیا افزونه های تست نشده را نصب کنیم؟

البته که باید این قبیل افزونه ها رو نصب کرد!

این که نویسنده ی افزونه ،فایل read me رو به روز رسانی نکنه،دلیلی قطعی بر عدم کارایی افزونه و یا ایجاد خطا در سایت شما نیست!

در هر حال اغلب افزونه هایی که توسط سایت های معتبر معرفی میشن،رایگان هستن و این فایل در این گونه افزونه های تست نشدست.پس نگران نباشید.

البته در برخی از موارد باید از نصب افزونه خودداری کنید.مهم ترین نکته در نصب افزونه دقت در تاریح آخرین به روز رسانی اونه.در صورتی که افزونه بیش از دو سال از تاریخ آخرین آپدیتش  بگذره،مسلما توسط وردپرس ممنوع شده و بنابراین نباید اونو نصب کنید.

و نکته ی قابل توجه دیگه ای که قصد دارم بهش اشاره کنم اینه که ۹۹ درصد از همون افزونه هایی که در سایت وردپرس اصلی ممنوع یا بن شدن،کاملا سالم هستن و کار می کنن.اما زیسک نصب این افزونه و مواجه شدن با خطاهای احتمالی اون بر عهده مدیر سایته!

چه طور افزونه های تست نشده را،به صورت مطمئن در اختیار دیگران قرار دهیم؟

در صورتی که با افزونه هایی این چنین مواجه شدید که اغلب افزونه ها هم همینطوره متاسفانه!  می تونید با تست افزونه توسط خودتون،به جامعه ی وردپرس کمک کنید.

ابتدا افزونه رو نصب کنید.در صورتی که افزونه به خوبی کار کرد،به سایت اصلی وردپرس  مراجعه کنید و در صورتی که قبلا در سایت ثبت نام کردید،با یوزر نیم و پسوردتون وارد شید.در صفحه ی مربوط به افزونه از قسمت compatibility اقدام کنید.مشابه شکل زیر:

2

در قسمت های مشخص شده در شکل،ورژن افزونه و وردپرستون رو مشخص کنید.سپس روی دکمه works کلیک کنید و رای خودتون رو درباره این افزونه ثبت کنید.با این کار شما به بقیه نشون میدید که این افزونه تست شدست و به درستی کار می کنه و می تونن با اطمینان خاطر اونو نصب کنن.

با افزونه های خراب وردپرس چه کنیم؟

در صورتی که افزونه ای مشکوک به نظر میاد،بهتره قبل از این که برای ثبت نظر خودتون به عنوان افزونه ی broken اقدام کنید،ابتدا از خراب بودن افزونه مطمئن شید.

همون طور که می دونید متاسفانه یا خوش بختانه افزونه های رایگان وردپرس هیچ گارانتی ندارن و ممکنه به صورت ناگهانی خطا ایجاد کنن و یا از کار بیفتن!.بنابراین ابتدا باید افزونه رو تست کنیم.

برای تست افزونه فقط به هاست اصلی سایتتون بسنده نکنید.ابتدا در سایتتون و سپس بر روی وردپرستون که روی لوکال هاستتون نصبه (در صورت وجود) نصب کنید و دقت داشته باشیدکه با خطاهای یکسانی مواجه شید.در صورتی که خطاهای ایجاد شده یکسان باشن،باید با نویسنده ی افزونه در میون بگذارید .اغلب نویسندگان در وردپرس دارای صفحاتی برای ارتباط مستقیم با کاربران هستن و میشه باهاشون به صورت مستقیم ارتباط برقرار کرد.در صورتی که از هیچ از راه های ممکن پاسخ نگرفتید به پیج افزونه برگردید و مطابق با بخش قبلی عمل کنید و این بار به جای works ،دکمه broken رو بزنید.

امیدوارم از این مطلب بهره کافی  رو برده باشید.

پیروز باشید

بیگ تم


قالب وردپرس|پوسته وردپرس|افزونه وردپرس|وردپرس فارسی

0 پاسخ

ارسال یک پاسخ

در گفتگو ها شرکت کنید.

پاسخ دهید